Page MenuHomePhabricator

CentralNotice: Some URL params break EventLogging impression schema
Closed, ResolvedPublic1 Story Points

Description

CentralNotice allows overriding the following with URL parameters:

  • randomcampaign
  • randombanner
  • recordImpressionSampleRate
  • impressionEventSampleRate

All of these should be stored as numbers in mw.centralnotice.data. However, when they're set via URL parameters, they're stored as strings. This produces invalid EventLogging impression events, since the schema has them as numbers.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : wmf_deployConvert numerical URL parameters to numbers
mediawiki/extensions/CentralNotice : masterConvert numerical URL parameters to numbers

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 3:35 AM

Change 434433 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] Convert numerical URL parameters to numbers

https://gerrit.wikimedia.org/r/434433

Change 434433 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Convert numerical URL parameters to numbers

https://gerrit.wikimedia.org/r/434433

Change 435817 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@wmf_deploy] Convert numerical URL parameters to numbers

https://gerrit.wikimedia.org/r/435817

Change 435817 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@wmf_deploy] Convert numerical URL parameters to numbers

https://gerrit.wikimedia.org/r/435817

Vvjjkkii renamed this task from CentralNotice: Some URL params break EventLogging impression schema to zicaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
jgleeson renamed this task from zicaaaaaaa to CentralNotice: Some URL params break EventLogging impression schema.Jul 2 2018, 1:40 PM
jgleeson closed this task as Resolved.
jgleeson assigned this task to AndyRussG.
jgleeson lowered the priority of this task from High to Medium.
jgleeson updated the task description. (Show Details)
jgleeson edited subscribers, added: Aklapper; removed: AndyRussG.
AndyRussG set the point value for this task to 1.Oct 29 2019, 7:14 PM